# Uses of Class
org.apache.sysds.runtime.controlprogram.caching.ByteBuffer

Packages that use ByteBuffer
Package
Description
org.apache.sysds.runtime.controlprogram.caching

## Uses of ByteBuffer in org.apache.sysds.runtime.controlprogram.caching

Methods in org.apache.sysds.runtime.controlprogram.caching that return types with arguments of type ByteBuffer
Modifier and Type
Method
Description
`Map.Entry<String,ByteBuffer>`
CacheEvictionQueue.`removeFirst()`
`Map.Entry<String,ByteBuffer>`
CacheEvictionQueue.`removeFirstUnpinned(List<String> pinnedList)`
Methods in org.apache.sysds.runtime.controlprogram.caching with parameters of type ByteBuffer
Modifier and Type
Method
Description
`void`
CacheEvictionQueue.`addLast(String fname, ByteBuffer bbuff)`
`void`
CacheMaintenanceService.`serializeData(ByteBuffer bbuff, CacheBlock<?> cb)`